.. AUTO-GENERATED FILE. DO NOT EDIT. sales-invoices-sales-types-by-id-patch ====================================== Source ------ - Repository: ``jef-systems/jef-sales-invoices-backend`` - Source Run ID: ``24009064841`` - Source SHA: ``92f7d367e27d34a8feb772a445da302f33a286af`` - Module: ``sales-invoices`` - Documentation Scope: ``async`` - Lambda: ``jef-sales-invoices-patch-47`` Endpoint -------- - API Name: ``jef-sales-invoices`` - Action Name: ``patch`` - Method: ``PATCH`` - Scope Label: ``Async`` - Resource Path: ``/sales-invoices-sales-types-by-id-patch`` - Complete Endpoint: ``https://f85p4su499.execute-api.ap-southeast-1.amazonaws.com/prod/sales-invoices-sales-types-by-id-patch`` - Lambda ARN: ``arn:aws:lambda:ap-southeast-1:246715082475:function:jef-sales-invoices-patch-47`` - curl payload mode: ``json_body`` API Gateway Description ----------------------- .. code-block:: text Function: jef-sales-invoices-patch-47 API Name: jef-sales-invoices Action: patch Method: PATCH Resource Path: /sales-invoices-sales-types-by-id-patch Payload: - sales_type_id: sales-type-uuid - description: Updated Response: - ok: true - job_id: job-uuid - status: PENDING Request Payload --------------- .. code-block:: json { "sales_type_id": "sales-type-uuid", "description": "Updated" } Response -------- .. code-block:: json { "ok": "true", "job_id": "job-uuid", "status": "PENDING" } CMD curl -------- .. code-block:: text curl -X PATCH "https://f85p4su499.execute-api.ap-southeast-1.amazonaws.com/prod/sales-invoices-sales-types-by-id-patch" -H "Content-Type: application/json" --data-raw "{\"sales_type_id\": \"sales-type-uuid\", \"description\": \"Updated\"}" PowerShell curl --------------- .. code-block:: text curl.exe -X PATCH "https://f85p4su499.execute-api.ap-southeast-1.amazonaws.com/prod/sales-invoices-sales-types-by-id-patch" -H "Content-Type: application/json" --data-raw '{"sales_type_id": "sales-type-uuid", "description": "Updated"}'